wxPropertyGridConstIterator Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxPropertyGridConstIterator Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridConstIterator:
[legend]

## Detailed Description

Const version of wxPropertyGridIterator.

## Public Member Functions
| wxPropertyGridConstIterator (const wxPropertyGridIterator &other)
| Additional copy constructor.
const wxPropertyGridConstIterator & | operator= (const wxPropertyGridIterator &it)
| Additional assignment operator.
| wxPropertyGridConstIterator ()
| wxPropertyGridConstIterator (const wxPropertyGridPageState *state, int flags=wxPG_ITERATE_DEFAULT, const wxPGProperty *property=NULL, int dir=1)
| wxPropertyGridConstIterator (wxPropertyGridPageState *state, int flags, int startPos, int dir=0)
| wxPropertyGridConstIterator (const wxPropertyGridConstIterator &it)
| ~wxPropertyGridConstIterator ()
Public Member Functions inherited from wxPropertyGridIteratorBase
| wxPropertyGridIteratorBase ()
void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property.
void | Init (wxPropertyGridPageState *state, int flags, wxPGProperty *property, int dir=1)
void | Init (wxPropertyGridPageState *state, int flags, int startPos=wxTOP, int dir=0)
void | Next (bool iterateChildren=true)
| Iterate to the next property.
void | Prev ()
| Iterate to the previous property.
void | SetBaseParent (wxPGProperty *baseParent)
| Set base parent, i.e.

## Constructor & Destructor Documentation

## ◆ wxPropertyGridConstIterator() [1/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | const wxPropertyGridIterator & | other | ) |

Additional copy constructor.

## ◆ wxPropertyGridConstIterator() [2/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( |  | ) |

## ◆ wxPropertyGridConstIterator() [3/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | const wxPropertyGridPageState * | state,
|  | int | flags = wxPG_ITERATE_DEFAULT,
|  | const wxPGProperty * | property = NULL,
|  | int | dir = 1 )

## ◆ wxPropertyGridConstIterator() [4/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | int | startPos,
|  | int | dir = 0 )

## ◆ wxPropertyGridConstIterator() [5/5]

wxPropertyGridConstIterator::wxPropertyGridConstIterator | ( | const wxPropertyGridConstIterator & | it | ) |

## ◆ ~wxPropertyGridConstIterator()

wxPropertyGridConstIterator::~wxPropertyGridConstIterator | ( |  | ) |

## Member Function Documentation

## ◆ operator=()

const wxPropertyGridConstIterator & wxPropertyGridConstIterator::operator= | ( | const wxPropertyGridIterator & | it | ) |

Additional assignment operator.